#
# spec file for package smeiffel (Version 0.24)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  java xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip java kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         smeiffel
Copyright:    GPL
Group:        Development/Languages
Autoreqprov:  on
Version:      0.24
Release:      88
Summary:      SmallEiffel
Source0:      se.tar.bz2
Source1:      profiles.tar.gz
Source2:      loadpath
Source3:      README.SuSE
URL:          http://SmallEiffel.loria.fr
Patch: 	      SmallEiffel-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-build

%description
Implementation of the programming language Eiffel. If you want to use the
programming environment, you should include the directory
/usr/lib/SmallEiffel/bin into your PATH environment variable.

Authors:
--------
    Dominique Colnet <colnet@loria.fr>

SuSE series: d

%prep
%setup -n SmallEiffel -a 1
%patch -p1
#
cp %{S:2} %{S:3} .

%build
export SmallEiffel=`pwd`/sys/system.se && misc/INSTALL.SH
cd sys/runtime && javac SmallEiffelRuntime.java

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/SmallEiffel/
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/
cp -a etc $RPM_BUILD_ROOT/
cp -a sys bin lib* misc $RPM_BUILD_ROOT/usr/lib/SmallEiffel
cp -a loadpath $RPM_BUILD_ROOT/usr/lib/SmallEiffel/sys/loadpath.UNIX
#
# documentation
#
cp README.SuSE READ_ME COPYING GNU_LICENSE misc/*.html \
   $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/
cp -a man $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/
rm -rf $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/man/*.txt
mv $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/man/Eiffel.FAQ \
   $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/
find $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name} -type f -exec chmod 644 {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}
%config /etc/profile.d/%{name}.sh
%config /etc/profile.d/%{name}.csh
/usr/lib/SmallEiffel

%changelog -n smeiffel
* Wed Aug 15 2001 - pmladek@suse.cz
- updated to version -0.75
- added profiles scripts:
  * compiler and another binaries work without settings now
- file loadpath moved from patch to sources
- fixed loadpath
- fixed documentation
- bzipped sources
* Thu Apr 12 2001 - pblaha@suse.cz
- update on -0.76 and add URL
* Fri Jun 23 2000 - bubnikv@suse.cz
- fixed typo in filelist
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Mon Mar 27 2000 - bubnikv@suse.cz
- added buildroot
- fixed compilation of java runtime on sparc
- licence changed to GPL
* Mon Feb 14 2000 - fehr@suse.de
- Changed to version -0.77
* Wed Jan 12 2000 - fehr@suse.de
- mark /usr/lib/SmallEiffel/{man,misc} as %%doc
* Tue Nov 23 1999 - fehr@suse.de
- changed flaw in pretty_print of class e_precursor
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 28 1999 - fehr@suse.de
- Changed to version -0.78
* Fri Dec 11 1998 - fehr@suse.de
- Changed to version -0.79BETA7
* Thu Sep 17 1998 - fehr@suse.de
- add compiled java class to sys/runtime
* Fri Sep 11 1998 - fehr@suse.de
- fixed bug of missing sys directory in /usr/lib/SmallEiffel
* Thu Jul 16 1998 - fehr@suse.de
- changed to version -0.80
* Mon Oct 13 1997 - fehr@suse.de
- prepare for automatic build of package
